package com.zksy.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.base.domain.GasPipePoint;
import com.zksy.base.dto.GasPipePointPageInDTO;

import java.util.List;

public interface GasPipePointService extends IService<GasPipePoint> {

    Page<GasPipePoint> queryByPage(GasPipePointPageInDTO dto);

    List<GasPipePoint> listByNetworkId(String networkId);

    List<GasPipePoint> getOptions();

    boolean saveWithCheck(GasPipePoint entity);

    boolean updateWithCheck(GasPipePoint entity);

    boolean removeWithCheck(Long pointId);
}
